{
  "criteria": {
    "trigger": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "item": {
          "items": [
            "minecraft:stick",
            "minecraft:blaze_rod",
            "minecraft:breeze_rod",
            "minecraft:amethyst_shard",
            "minecraft:chain",
            "minecraft:structure_block"
          ],
          "predicates": {
            "minecraft:custom_data": "{magus_wand:1b}"
          }
        }
      }
    }
  },
  "rewards": {
    "function": "kiwi2:upgrades/classes/magus/spells/magus_show_cast_location"
  }
}